/* Global Styles */

html {
    font-size: 14px;
    position: relative;
    min-height: 100%;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

body {
    min-height: 100vh;
    padding-bottom: 142px; /* height of the footer */
}

a {
    text-decoration: none;
    color: #006fba;
}

.text-primary {
    color: #006fba !important;
}

/* Nav Bar */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.navbar-logo {
    height: 75px;
    width: auto;
}

.nav-link {
    color: #006fba !important;
}

.nav-pills .nav-link.active {
    background-color: #fff;
    color: #495057;
    border: 1px solid #dee2e6;
}

.custom-border-bottom {
    border-bottom: 5px solid #50b948;
    margin-bottom: 25px;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

/* Buttons */

.btn-primary,
.k-button.k-upload-button {
    border: 0;
    margin-right: 10px;
    color: #fff;
    background-color: #50b948 !important;
    border-color: #47a740 !important;
}

.btn-outline-primary {
    color: #50b948;
    border-color: #50b948;
}

    .btn-primary:hover,
    .btn-outline-primary:hover {
        background-color: #439c3c !important;
        border-color: #357b2f !important;
    }

.btn-secondary {
    margin-right: 10px;
    color: #fff;
    background-color: #006fba !important;
    border-color: #006fba !important;
}

.btn-outline-secondary {
    color: #006fba;
    border-color: #006fba;
}

    .btn-outline-secondary:hover {
        background-color: #006fbaaa;
        color: white;
    }

.btn:focus,
.btn:active {
    box-shadow: none !important;
    outline: 0px !important;
}

.k-button.k-toolbar-button {
    border: unset;
    background-color: inherit;
    cursor: default;
    font-weight: 600;
    font-size: large;
}

/* Forms */

.form-floating {
    margin-bottom: 10px;
}

.form-check-input:checked {
    background-color: #50b948;
    border-color: #50b948;
}

.form-check-input:focus,
.form-check-input:active {
    box-shadow: 0 0 0 0.2rem rgba(80, 185, 72, 0.25);
    border-color: #50b948;
}

.form-control:focus,
.form-control:active,
.form-select:focus,
.form-select:active {
    box-shadow: 0 0 0 0.2rem rgba(80, 185, 72, 0.25);
    border-color: #50b948;
}

/* Login */

#login-submit {
    margin-bottom: 10px;
}

#manage-account,
#logout {
    font-size: small;
}

    #manage-account:hover,
    #logout:hover {
        font-weight: 600;
    }

/* Footer Styles */

#footerWrapper {
    background-color: #333;
    color: #fff;
    position: absolute;
    bottom: 0;
    width: 100%;
}

    #footerWrapper a {
        color: #fff;
    }

#footer {
    background-image: url("../images/header-border.jpg");
    background-position: center bottom;
    background-repeat: repeat-x;
    color: #fff;
    font-size: 11px;
    font-weight: 200;
    padding-top: 10px;
    padding-bottom: 10px;
    height: 100%;
}

    #footer #footerInside {
        padding-top: 10px;
        line-height: 16px;
    }

        #footer #footerInside .footerLeft span a {
            font-weight: 700;
            text-decoration: none;
        }

            #footer #footerInside .footerLeft span a:before {
                padding: 0 5px;
                color: #fff;
                content: "| ";
            }

        #footer #footerInside .footerLeft span:first-child a:before {
            content: "";
            padding: 0;
        }

        #footer #footerInside .footerRight {
            margin-top: 5px;
        }

            #footer #footerInside .footerRight span {
                display: inline;
            }

                #footer #footerInside .footerRight span a {
                    margin-right: 5px;
                }

.footerLeft .allRightsReserved {
    text-align: left;
}

.footerRight {
    text-align: right;
}
